> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unifically.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Vocals

> Add vocals to uploaded music

Add vocals to uploaded music. Only works with uploaded audio, not Suno-generated clips.

## Model

```
suno-ai/add-vocals
```

## Parameters

| Parameter                | Type    | Required | Description                                                                                                                                                                            |
| ------------------------ | ------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `mv`                     | string  | Yes      | Model version                                                                                                                                                                          |
| `clip_id`                | string  | Yes      | Clip ID from uploaded audio                                                                                                                                                            |
| `audio_url`              | string  | No       | Audio file URL                                                                                                                                                                         |
| `gpt_description_prompt` | string  | No       | Vocal description/lyrics                                                                                                                                                               |
| `prompt`                 | string  | No       | Custom mode prompt                                                                                                                                                                     |
| `start_s`                | number  | No       | Start time in seconds                                                                                                                                                                  |
| `end_s`                  | number  | No       | End time in seconds                                                                                                                                                                    |
| `make_instrumental`      | boolean | No       | Generate instrumental                                                                                                                                                                  |
| `title`                  | string  | No       | Title for result                                                                                                                                                                       |
| `custom_model`           | object  | No       | Required when `mv` is `chirp-custom`. Inline custom model — `{ "name": string, "audio_urls": string[] }`. See [Music Generation › Custom Model](/models/audio/suno/music#custom-model) |

## Example

```bash theme={null}
curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "suno-ai/add-vocals",
    "input": {
      "mv": "chirp-bluejay",
      "clip_id": "ec0be483-2de2-4abc-a5ce-3d8258f52ed4",
      "gpt_description_prompt": "[Verse 1]\nNew vocal lyrics here",
      "start_s": 10,
      "end_s": 60
    }
  }'
```

## Response

```json theme={null}
{
  "code": 200,
  "success": true,
  "data": {
    "task_id": "abc123def456",
    "status": "processing"
  }
}
```
